Merge "lakitu: Use tarball for dump-capture-kernel."
diff --git a/overlay-lakitu/sys-kernel/dump-capture-kernel/Manifest b/overlay-lakitu/sys-kernel/dump-capture-kernel/Manifest
new file mode 100644
index 0000000..7699495
--- /dev/null
+++ b/overlay-lakitu/sys-kernel/dump-capture-kernel/Manifest
@@ -0,0 +1 @@
+DIST cos-dump-capture-kernel-f8649a7408c63f53937e33b0e8379679b0434849.tar.gz 161557003 BLAKE2B 5802ab95ff85a11267c0b3a95c0dc51aff5d3a2f87180a6ebdfa237816aeaf69af2c8d873ef7b29390aeb46ab9284d488e3907478f41948072d00b4ce2a51abf SHA512 f9db206411e0b126fda793ceaf2ea7a75a1b6b769da3c422e4fcf649bc42996a82135cc7f389b60526e2a6199aca24003e13e85c8430e32031d49aeaaa2e5b24
diff --git a/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-0.0.1-r512.ebuild b/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-0.0.1-r512.ebuild
deleted file mode 100644
index c043f73..0000000
--- a/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-0.0.1-r512.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 2018 The Chromium OS Authors. All rights reserved.
-# Distributed under the terms of the GNU General Public License v2
-
-# Any changes submitted in the current ebuild needs to be duplicated in
-# `9999` ebuild as well.
-
-EAPI=5
-CROS_WORKON_REPO="https://cos.googlesource.com"
-CROS_WORKON_PROJECT="third_party/kernel"
-CROS_WORKON_EGIT_BRANCH="cos-4.19"
-CROS_WORKON_COMMIT="f8649a7408c63f53937e33b0e8379679b0434849"
-CROS_WORKON_LOCALNAME="kernel/v4.19"
-CROS_WORKON_BLACKLIST="1"
-
-CHROMEOS_KERNEL_CONFIG="${FILESDIR}/base.config"
-
-# This must be inherited *after* EGIT/CROS_WORKON variables defined
-inherit cros-workon cros-kernel2
-
-STRIP_MASK+=" /usr/src/${P}/build/vmlinux"
-STRIP_MASK+=" *.ko"
-
-DESCRIPTION="A dump capture kernel for kdump functionality"
-HOMEPAGE="https://cloud.google.com/container-optimized-os"
-KEYWORDS="*"
-
-
-src_install() {
-	dodir /boot/kdump
-	kmake INSTALL_PATH="${D}/boot/kdump" INSTALL_MOD_PATH="${D}" \
-		INSTALL_MOD_STRIP=1 install
-	local version
-	version=$(kmake -s --no-print-directory kernelrelease)
-	ln -sf "vmlinuz-${version}" "${D}/boot/kdump/vmlinuz" || die
-
-	# We also strips the symbol table /boot/kdump/System.map-* at:
-	# overlay-lakitu/scripts/board_specific_setup.sh
-}
diff --git a/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-4.19-r1.ebuild b/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-4.19-r1.ebuild
new file mode 120000
index 0000000..d736a57
--- /dev/null
+++ b/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-4.19-r1.ebuild
@@ -0,0 +1 @@
+dump-capture-kernel-4.19.ebuild
\ No newline at end of file
diff --git a/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-4.19.ebuild b/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-4.19.ebuild
new file mode 100644
index 0000000..e8cb031
--- /dev/null
+++ b/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-4.19.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2020 The Chromium OS Authors. All rights reserved.
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+ETYPE="sources"
+EGIT_COMMIT="f8649a7408c63f53937e33b0e8379679b0434849"
+
+SRC_URI="https://cos.googlesource.com/third_party/dump-capture-kernel/+archive/${EGIT_COMMIT}.tar.gz -> cos-dump-capture-kernel-${EGIT_COMMIT}.tar.gz"
+
+KEYWORDS="*"
+
+CHROMEOS_KERNEL_CONFIG="${FILESDIR}/base.config"
+
+# This must be inherited *after* EGIT/CROS_WORKON variables defined
+inherit kernel-2
+
+BUILD_PARAMS="CC=${CC} CXX=${CXX}"
+STRIP_MASK+=" /usr/src/${P}/build/vmlinux"
+STRIP_MASK+=" *.ko"
+
+DESCRIPTION="A dump capture kernel for kdump functionality"
+HOMEPAGE="https://cloud.google.com/container-optimized-os"
+
+S="${WORKDIR}"
+
+src_unpack() {
+	unpack ${A}
+}
+
+src_install() {
+	dodir /boot/kdump
+	make INSTALL_PATH="${D}/boot/kdump" INSTALL_MOD_PATH="${D}" \
+		INSTALL_MOD_STRIP=1 install
+	local version
+	version=$(make -s --no-print-directory kernelrelease)
+	ln -sf "vmlinuz-${version}" "${D}/boot/kdump/vmlinuz" || die
+
+	# We also strips the symbol table /boot/kdump/System.map-* at:
+	# overlay-lakitu/scripts/board_specific_setup.sh
+}
diff --git a/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-9999.ebuild b/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-9999.ebuild
deleted file mode 100644
index 9bcd73d..0000000
--- a/overlay-lakitu/sys-kernel/dump-capture-kernel/dump-capture-kernel-9999.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 2018 The Chromium OS Authors. All rights reserved.
-# Distributed under the terms of the GNU General Public License v2
-
-# Any changes submitted in the current ebuild needs to be duplicated in
-# `non-9999` ebuild as well.
-
-EAPI=5
-CROS_WORKON_REPO="https://cos.googlesource.com"
-CROS_WORKON_PROJECT="third_party/kernel"
-CROS_WORKON_LOCALNAME="kernel/v4.19"
-CROS_WORKON_BLACKLIST="1"
-
-CHROMEOS_KERNEL_CONFIG="${FILESDIR}/base.config"
-
-# This must be inherited *after* EGIT/CROS_WORKON variables defined
-inherit cros-workon cros-kernel2
-
-STRIP_MASK+=" /usr/src/${P}/build/vmlinux"
-STRIP_MASK+=" *.ko"
-
-DESCRIPTION="A dump capture kernel for kdump functionality"
-HOMEPAGE="https://cloud.google.com/container-optimized-os"
-KEYWORDS="~*"
-
-
-src_install() {
-	dodir /boot/kdump
-	kmake INSTALL_PATH="${D}/boot/kdump" INSTALL_MOD_PATH="${D}" \
-		INSTALL_MOD_STRIP=1 install
-	local version
-	version=$(kmake -s --no-print-directory kernelrelease)
-	ln -sf "vmlinuz-${version}" "${D}/boot/kdump/vmlinuz" || die
-
-	# We also strips the symbol table /boot/kdump/System.map-* at:
-	# overlay-lakitu/scripts/board_specific_setup.sh
-}